﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define d = Character("Dynae", color="#53ddff")
define n = Character("Nulkan", color="#ffffff")
define s = Character("Saraith", color="#e9b5bc")
define nad = Character("Nadine", color="#fffa7a")
define l = Character("Luth", color="7cbdd5")
define ve =Character ("Vega", color="#ffffff")
define far =Character ("Farmer", color="#ffffff")
define WPG =Character ("WPG", color="#ffffff")
define g =Character ("Gunter", color="#ffffff")
define ul =Character ("Ulaithel", color="#ffffff")
define og =Character ("Oghizz", color="#ffffff")
define rm =Character ("Riddle Master", color="#ffffff")
define unk =Character ("Stranger", color="#ffffff")
define fre =Character ("Fredic", color="#ffffff")
define m =Character ("Max", color="#ffffff")

define challengecompleted = 0

# The game starts here.

screen logos:
    imagebutton:
        xalign 0.02 yalign 0.02
        idle "wetpussylogo.png" hover "wetpussylogoB.png"
        action  OpenURL("https://wetpussygames.com")
    imagebutton:
        xalign 0.08 yalign 0.02
        idle "patreon.png" hover "patreonB.png"
        action  OpenURL("https://www.patreon.com/taifunriders")

label start:

    scene castle
    show screen logos
    with dissolve
    play music "halloween.mp3"
    n "Where… where am I?"
    show dynaesmile with dissolve:
        xalign 0.0
    show luthsmile with dissolve:
        xalign 0.4
    show nadinesmile with dissolve:
        xalign 0.75
    show saraithsmile with dissolve:
        xalign 1.2

    d "Nulkan! You’re awake!"
    s "We were starting to worry about you."
    n "Girls?! Where… Where are we?!"
    hide dynaesmile
    show dynaemolesta:
        xalign 0.0
    hide luthsmile
    show luthsmile:
        xalign 0.4
    d "The Castle of Ulaithel, the evil witch that has been terrorizing this region for centuries!"
    d "She’s a necromancer, a succubus, an undead witch! Abductor of children and infants, from any family who doesn’t pay her toll! She doesn’t even send Xmas cards to her loved ones…!"
    n "Wow… I never thought anyone could be so… so… evil!"
    d "I know, right!?"
    hide nadinesmile
    show nadineneutra:
        xalign 0.75
    nad "We have to stop her!"
    n "You’re goddamn right we do! So… What’s the plan?"
    l "Legends say only a very big sword can defeat her."
    s "Legends also say; a single thrust with that sword will not be enough."
    l "So, you’ll have to stick your big, powerful sword in her again, and again, and again…"
    s "Until she’s down and out, and spews her viscous white blood from her pussy."
    n "Wait… She has a cat?!"
    nad "Come on, Nulkan! There’s no time to waste! You must enter…!"
    stop music fadeout 2.0
    nad "Wait…?! What’s happening…?!"
    play music "necroambient.mp3"
    hide luthsmile
    show luthneutra:
        xalign 0.4
    l "My body…!"
    hide saraithsmile
    show saraithseria:
        xalign 1.2
    s "It’s disappearing…!"
    d "Nulkan! Help us…!"
    hide saraithseria with dissolve
    hide luthneutra with dissolve
    hide dynaemolesta with dissolve
    hide nadineneutra with dissolve
    n "{i}The girls fade away, like they were being erased from existence."
    n "Girls! Where are you?!"
    ul "Hahaha… If you ever want to see them again, you must defeat me and beat my challenges!"
    n "Damn witch! Those girls are precious to me! You will regret this!"
    n "That’s a promise!"
    ul "Hahaha!... I’ll hold you to that, big boy."

    ul "Welcome to my castle! Isn’t it lovely?"
    ul "Inside, you will face four unique challenges. Complete a challenge, and I’ll deliver one of your friends to you."
    ul "And of course, you’ll have to complete all four if you want to… find me."
    n "I’ll teach you a lesson, Ulaithel! I’ll end your reign of terror once and for all!"
    n "Oghizz, let’s go!"

    #texto
    scene hall with dissolve
    play music "spooky.mp3"
    "{i}You enter the Castle. In the hall, you see four great doors. A sign hangs on each one."
    n "{i}The signs read ''Challenge 1'', ''Challenge 2'', ''Challenge 3'' and ''Challenge 4''."
    n "Well… can’t say I was expecting that. I’ve been in museums that are easier to get lost in."
    og "Keep a cool head, Nulkan! We must be ready to face that witch, and stick our powerful sword inside her!"
    n "Yeah, yeah… I already got the concept…"

label hall:
    scene hall
    menu:
        "Challenge 1" if challengecompleted == 0:
            n"Alright let’s proceed to the first challenge."
            jump tochallenge1
        "Challenge 2" if challengecompleted == 1:
            n"Alright let’s proceed to the second challenge."
            jump tochallenge2
        "Challenge 3"if challengecompleted == 2:
            n"Alright let’s proceed to the third challenge."
            jump tochallenge3
        "Challenge 4"if challengecompleted == 3:
            n"Alright let’s proceed to the fourth challenge."
            jump tochallenge4

    #RIDDLES
label tochallenge1:
    scene room1 with dissolve
    "{i}You enter the first room. At first glance, it appears empty. Then you spot a shadow within. You approach cautiously."
    n "Who are you? Are you the one I must defeat?"
    show mercader at right with dissolve
    unk "Perhaps. That depends on you."
    unk "I shall not test your strength, nor your speed. I shall test your wit."
    n "You still didn’t answer my question. Who are you?"
    rm "I am the great Riddle Master!"
    n "Riddles, you say?"
    rm "I have your friend, Nadine. To deliver her and proceed to the next challenge, you’ll have to answer… Five of my riddles!"
    n "Five? Why not ten? I don’t know, it sounds like a more official number…"
    rm "Because this is a silly mini game, not a full game. Five is enough!"
    n "Eh? A mini game? What are you talking about?"
    rm "Ugh! Are you ready to answer the riddles or not?!"
    n "Alright, fine! Here I go!"

    label riddles1:
    rm"{b}I protect, I stand tall, my purpose is to strike fear in all." #1
    menu:
        "O’vanthan":
            jump challenge1false
        "Myself":
            jump challenge1false
        "Oghizz the demon":
            jump challenge1false
        "A scarecrow":
            jump challenge1true

label challenge1false:
    rm"That's not the correct answer! Try again!"
    jump riddles1

label challenge1true:
    rm"You are right!!!"
    rm"Let's proceed with the next one..."

label riddles2:
    rm"{b}Poor people have it. Rich people need it. If you eat it you die. What is it?"#2
    menu:
        "Rotten stuff":
            jump challenge2false
        "Gold coins":
            jump challenge2false
        "Nothing":
            jump challenge2true
        "Poison":
            jump challenge2false

    label challenge2false:
    rm"That's not the correct answer! Try again!"
    jump riddles2

    label challenge2true:
    rm"You are right!!!"
    rm"Let's proceed with the next one..."

label riddles3:
    rm"{b}I’m tall when I’m young, I’m short when I’m old and once a year, I make heavy pumpkins. What am I?." #3
    menu:
        "My grandma!":
            jump challenge3false
        "Candle":
            jump challenge3true
        "A powerful erection":
            jump challenge3false
        "Vampires":
            jump challenge3false

    label challenge3false:
    rm"That's not the correct answer! Try again!"
    jump riddles3

    label challenge3true:
    rm"You are right!!!"
    rm"Let's proceed with the next one..."


label riddles4:
    rm "{b}What do mummies, zombies, vampires, goblins, butterflies and witches all have in common?"#4
    menu:
        "Halloween creatures":
            jump challenge4false
        "They are fearsome":
            jump challenge4false
        "I…":
            jump challenge4true
        "They all hate humans":
            jump challenge4false

    label challenge4false:
    "That's not the correct answer! Try again!"
    jump riddles4

    label challenge4true:
    rm"You are right, all of them have the letter 'i'!"
    rm"Let's proceed with the next one..."
    label riddles5:
    rm"{b}I have a body, arms, legs and a head, but I’m heartless and have no guts. What am I?" #5
    menu:
        "Ha! My Ex-Girlfriend!":
            jump challenge5false
        "My other Ex-girlfriend...":
            jump challenge5false
        "…Or also her parents.":
            jump challenge5false
        "A Skeleton":
            jump challenge5true

    label challenge5false:
    rm"That's not the correct answer! Try again!"
    jump riddles5
    label challenge5true:
    rm"You are right!!!"
    rm "Congratulations! You have solved all my riddles!"
    rm "Here, have this red ball! Your kids and dogs will love it!"
    n "Ehm… w-wait! The reward was delivering my friend Nadine! To advance to the next challenge and defeat the witch!"
    n "What is this bullshit?!"
    rm "Ehm… Mmm… yes. That is what I meant, yes. Uhhh… I’ll just take that red ball off your hands..."
    rm "There! Here’s your friend."
    rm "No refunds!"
    hide mercader with dissolve
    n"{i}Nadine materializes out of thin air."
    show nadinesmile with dissolve
    n "Nadine!"
    nad "Oh, Nulkan! You saved me!"
    n "You can always count on me."
    stop music fadeout 2.0
    hide nadinesmile
    show nadineblush
    pause 2.0

    play music "halloween.mp3"
    nad "I know! But… oh, Damn…"
    nad "Watching you answer all those riddles… mmm… really turned me on…"
    nad "...ohhh… Nulkan… NULKAN!! I NEED YOU!! I NEED YOU SO BAD!!!"
    n "There’s only one cure for that. Let’s fuck!"
    nad "Hell , yes!"
    scene black with dissolve
    show Hnadine with dissolve
    $renpy.sound.play("moan.mp3", loop=True)
    $ renpy.pause(2.0, hard=True)
    screen nextnad():
        imagebutton:
            xpos 1750 ypos 920
            idle "nexthall.png" hover "nexthallover.png"
            action Jump ("afternadh")
    show screen nextnad
    $ renpy.pause(hard=True)
    label afternadh:
        hide screen nextnad
        $ renpy.pause(3.0, hard=True)
        scene white with dissolve
        stop sound fadeout 2.0
        $ renpy.pause(1.5, hard=True)
        hide Hnadine with dissolve
        pause 1.0
    scene room1
    show mercader at right
    with dissolve
    rm "You may now proceed to the next challenge, brave, clever knight!"
    scene hall with dissolve
    n "{i}I leave the room and go back to the hall."#
    n "I guess it's time for the next challenge."#
    stop music fadeout 1.5
    $challengecompleted = 1
    play music "spooky.mp3"
    jump hall

label tochallenge2:
    scene room3 with dissolve
    pause 1.0
    show borrachin at right with dissolve
    show max with dissolve :
        xalign 0.2
    "{i}You enter the next room, where two beings are conversing in a rather jovial manner. One of them, you recognize."
    n "Fredic? Is that you?!"
    fre "Nulkan! You can’t imagine how happy I am to see you!"
    n "And who’s your feran friend?"
    fre "Oh, this is Max. He’s a very good friend from a parallel universe. We meet from time to time to catch up, you know?"
    n "From a parallel universe…?"
    n "… ah… yes… Everything’s starting to make sense now…"
    n "...I think."
    n "Anyway, what’s the second challenge? I need to get this over with so I can defeat the witch of the castle."
    m "Ah, yes, the witch of the castle. Quite unlike the sexy bitch of the castle from my hometown. A gorgeous angel named Roselyn."
    m "No, this one is a real witch!"
    fre "Your friend Luth is here with us. Deliver her and proceed to the next challenge…"
    fre "Look… I have a favorite joke. And Max here has his favorite. We’ll tell you our jokes, and it’s up to you to decide which one is better!"
    n "Jokes? Really?! That’s the challenge?!"
    n "... What is this?!"
    m "Be sensitive, young man. This is something very important. Both for us and our friendship."
    n "*Sigh*, fine. Fine, I…I got it. Alright, who’s first?"
    fre "Me! Let’s see ehem… here I go…"

    fre "My wife is furious at our next door neighbor, who sunbathes topless in her backyard. My opinion? Personally, I’m on the fence."
    fre "Hahahahahaha, did you get it? Hahahahaha!"#
    n "Al...right... Next one, please."#
    m "Fine, now it's my turn, then. Here I go."#
    m "I went and saw my doctor the other day, and he told me I had to stop masturbating. I asked him why and he said, ''Because I’m trying to examine you''!"
    m "Hohohohohoho... what a weirdo, hohohoho...!"
    n "Aha..."
    fre "Now, you must decide. But before that, you must know something very, very important."
    fre "If you fail in your answer, all progress in this mini game will be reset."
    fre "You will have to start again, from the very beginning! So please! Be honest!"
    n "{i}Alright, now I should decide something..."
    menu:
        "Fredics' was the best":
            jump challenge2complete
        "Max's was the best":
            jump challenge2complete
        "Guys, both your jokes were horrible":
            jump challenge2complete

label challenge2complete:
    fre "So… that is your answer?"
    fre "Alright! The challenge is completed!"
    n "Wait, what?! I answered correctly?!"
    m "Well, there wasn’t a correct answer!"
    m "We just wanted to make your day with a good joke. A good laugh in a stressful situation is good for the mind and the spirit!"
    m "By the way, here’s your friend, Luth!"
    m "Enjoy!"
    hide max with dissolve
    hide borrachin with dissolve
    pause 1.0
    show luthsmile with dissolve
    l "Nulkan!! You saved me from these weirdos!!"
    n "Yes, that’s exactly what I did!"
    hide luthsmile
    show luthneutra
    l "They tried to… make me choose between those stupid jokes! What the heck was all that about?!"
    hide luthneutra
    show luthnaughty
    l "And now you’re here…! You passed the challenge, and…and…!"
    stop music fadeout 2.0
    pause 2.0
    play music "halloween.mp3"
    l "I must have gone completely mad… because all this spooky ambience is making me feel… naughty."
    n "I feel the same way. Good to know."
    l "We’re talking about sex, yes?"
    n "Abso-fucking-lutely!"
    $challengecompleted = 2
    scene black with dissolve
    show Hluth with dissolve
    $renpy.sound.play("lmoan2.mp3", loop=True)
    $ renpy.pause(2.0, hard=True)
    screen nextluth():
        imagebutton:
            xpos 1750 ypos 920
            idle "nexthall.png" hover "nexthallover.png"
            action Jump ("afterluthh")
    show screen nextluth
    $ renpy.pause(hard=True)
    label afterluthh:
        hide screen nextluth
        $ renpy.pause(3.0, hard=True)
        scene white with dissolve
        stop sound fadeout 2.0
        $ renpy.pause(1.5, hard=True)
        hide Hluth with dissolve
        pause 1.0
        stop music fadeout 1.5
        scene black with dissolve
        n "{i}I'd better go back to the hall to proceed with the next challenge."
        play music "spooky.mp3"

    jump hall



label tochallenge3:
    scene room2 with dissolve
    n "{i}Inside the room there’s a… lady?"
    show wpgsmile at right with dissolve
    WPG "Welcome to the third challenge, Nulkan…"
    n "Who are… wait a minute, you ring a bell…"
    n "You’re… the Pink Panther?"
    WPG "Ehm…no, Nulkan…"
    n "No, no, wait… You’re…Wendy’s, right? You know, from Wendy’s Hamburgers?"
    WPG "No…! Nulkan, if you would give me a second to—"
    n "No, of course not! You’re the Duracell Bunny!!"
    WPG "NO!!!!"
    WPG "My name is WPG!!!"
    n "..."
    n "... Oh…"
    n "..."
    n "... Are you sure?"
    WPG "...Ughhhh …"
    WPG "Look, inside this room is your friend, Saraith. To deliver her, you must answer a quick quiz. Then, you may move on to the fourth and final challenge before facing the Witch."
    n "A quiz? Alright, I’m ready."
    WPG "Let us begin…"


label quiz1:
    WPG "{b}How many kilometers are in a mile?"
    menu:
        "WTF is a Kilometer":
            jump quiz1wrong
        "3.1415km":
            jump quiz1wrong
        "0.86km":
            jump quiz1wrong

        "1.61km":
            jump quiz1true

label quiz1wrong:
    WPG "That's not true! Try again!"
    jump quiz1
label quiz1true:
    WPG "That's the right one! Let's keep going with the next one!"



label quiz2:
    WPG "{b}How many centimeters are in one inch?"
    menu:
        "WTF is a centimeter?":
            jump quiz2wrong
        "2.54":
            jump quiz2true
        "1.78":
            jump quiz2wrong
        "2.97":
            jump quiz2wrong


    label quiz2wrong:
        WPG"That's not the correct answer! Try again!"
        jump quiz2
    label quiz2true:
        WPG "That's the right one! Let's keep going with the next one!"

label quiz3:
    WPG "{b}How many pounds are in a kilogram?"
    menu:
        "What the heck is a kilogram?":
            jump quiz3wrong
        "3.10 pounds":
            jump quiz3wrong
        "2.20 pounds":
            jump quiz3true
        "5.16 pounds":
            jump quiz3wrong


    label quiz3wrong:
        WPG"That's not the correct answer! Try again!"
        jump quiz3
    label quiz3true:
        WPG"That's the right one! Let's keep going with the next one!"

label quiz4:
    WPG "{b}How many meters are in five feet?"
    menu:
        "Hey! You are cheating, now I also have to multiply stuff?!":
            jump quiz4wrong
        "16.6":
            jump quiz4wrong
        "1.5":
            jump quiz4true
        "9.92":
            jump quiz4wrong


    label quiz4wrong:
        WPG"That's not the correct answer! Try again!"
        jump quiz4
    label quiz4true:
        WPG"That's the right one! Let's keep going with the next one!"

label quiz5:
    WPG "{b}And finally…which is the longest anime?"
    menu:
        "Ha! Naruto. Lots of fillers.":
            jump quiz5wrong
        "One piece. And the characters are ugly as fuck.":
            jump quiz5wrong
        "Doraemon, that Nobita guy always had problems.":
            jump quiz5wrong
        "Sazae-san. And I have no clue why I’m saying this.":
            jump quiz5true


    label quiz5wrong:
        WPG"That's not the correct answer! Try again!"
        jump quiz5
    label quiz5true:
        WPG "Correct! Sazae-san has more than 7500 episodes and is still airing! Imagine that!"
        n "Shh, not out loud. Or anime producers will think they don’t add enough filler to their series…"
        WPG "Anyway, as promised, I will deliver Saraith to you."
        hide wpgsmile with dissolve
        window hide
        pause 1.0
        show saraithsmile with dissolve
        s "Nulkan…!"
        n "Saraith! I’m so glad you're okay!"
        stop music fadeout 1.5
        hide saraithsmile
        show saraithnaughty
        pause 1.5
        play music "halloween.mp3"
        s "So am I!... mmm…"
        s "Damn, Nulkan… I never knew you were so knowledgeable about anime."
        n "I’m a box of surprises. I love anime. Hentai too."
        s "Damn… I can’t help it, I’m so fucking hot for you right now…!"
        n "Then, let’s start making babies!"
        s "Mmm, I will certainly let you try…"
        $challengecompleted = 3
        scene black with dissolve
        show Hsaraith with dissolve
        $renpy.sound.play("saraithmoan2.mp3", loop=True)
        $ renpy.pause(2.0, hard=True)
        screen nextsaraith():
            imagebutton:
                xpos 1750 ypos 920
                idle "nexthall.png" hover "nexthallover.png"
                action Jump ("aftersaraithh")
        show screen nextsaraith
        $ renpy.pause(hard=True)
        label aftersaraithh:
            hide screen nextsaraith
            $ renpy.pause(3.0, hard=True)
            scene white with dissolve
            stop sound fadeout 2.0
            $ renpy.pause(1.5, hard=True)
            hide Hsaraith with dissolve
            stop music fadeout 1.5
            scene black with dissolve
            n "{i}I'd better go back to the hall to proceed with the next challenge."
            play music "spooky.mp3"
        jump hall

label tochallenge4:
    scene room4 with dissolve
    pause 1.0
    show gunter with dissolve
    n "As I enter the room, a fox Feran stands ominously right in the center."
    g "Why hello, my dear Nulkan! You may call me… Gunter. I am here to help you defeat the Witch."
    n "Wait, how do you know my name?"
    g "Oh please, we hardly have time for that, my fine gentleman."
    g "Perhaps later, though."
    g "Hear me well! Within the castle are hidden 69 precious gems."
    g "Find them, bring them to me. And I shall deliver your friend Dynae back to your big, strong…"
    g "… ever so loving arms."
    g "Then, at long last, you shall face the Witch of the Castle herself."
    g "Check every available room in the castle, leave not a stone unturned! And you shall find them. Every one. Good luck, brave warrior!"
    n "But...69!? That's a lot!"
    n "{i}There's no way I'm searching every corner of this castle for 69 gems! I have to think of something to speed this along, and quickly!"
    n "Hey, you...I... I think you don't need those gems."
    label challange5answer:
    menu:
        "Because those beautiful eyes you have are the most precious gems in this castle":
            jump challenge4complete
        "Because it's a fucking nonsense!":
            g "Take it or leave it. It is what it is."
            jump challange5answer

label challenge4complete:
    stop music fadeout 2.0
    pause 1.5
    play music "halloween.mp3"
    g "Oh...you... you are flattering me..."
    g "Do you really think they are beautiful?"
    hide hunter with dissolve
    show gunter with dissolve:
        zoom 1.4
        yalign -0.01

    n "I tell you this from the most absolute and complete heterosexuality. Yes, they are very beautiful."
    g "Rascal...!"
    g "All right, all right. You've won me over with those beautiful words."
    g "Here's your friend."
    hide gunter with dissolve
    show dynaesmile with dissolve
    d "Nulkan!"
    hide dynaesmile
    show dynaemolesta
    d "Damnation! This guy has done nothing but dance and dance until you showed up."
    d "And he doesn’t dance well. At all…"
    hide dynaemolesta
    show dynaesmile
    d "Oh, Nulkan, I was so scared…"
    n "It’s okay, Dynae. Cringey people make us uncomfortable at the best of times, but I’m here now."
    hide dynaesmile
    show dynaemolesta
    d "The thing is… when I asked him to stop, and he refused, I threatened to have wild sex with you. Right in front of him. To make him pay."
    hide dynaemolesta
    show dynaeblush
    d "The idea seemed to horrify him quite a bit…"
    n "You want to make him suffer, then?"
    d "Yes, with all my heart!"
    n "Say no more!"
    $challengecompleted = 4
    scene black with dissolve
    show Hdynae with dissolve
    $renpy.sound.play("nmoan2.mp3", loop=True)
    $ renpy.pause(2.0, hard=True)
    screen nextdynae():
        imagebutton:
            xpos 1750 ypos 920
            idle "nexthall.png" hover "nexthallover.png"
            action Jump ("afterdynaeh")
    show screen nextdynae
    $ renpy.pause(hard=True)
    label afterdynaeh:
        hide screen nextdynae
        $ renpy.pause(3.0, hard=True)
        scene white with dissolve
        stop sound fadeout 2.0
        $ renpy.pause(1.5, hard=True)
        hide Hdynae with dissolve
        #stop music fadeout 1.5
        scene black with dissolve
        n "{i}I'd better go back to the hall."
        #play music "spooky.mp3"

    scene hall with dissolve
    #jump hall
    #if todos las challenges
label towitch:
    n "{i}Alright, I’m in the grand hall, but how am I supposed to find Ulaithel?"
    scene black with dissolve
    "{i}Suddenly, everything around you shifts. The witch has teleported you right to her room."
    scene throne with dissolve
    show ulaithel with dissolve
    #play music "halloween.mp3"
    ul "At last, you are here…"
    n "Time to pay for all you’ve done, Ulaithel. Your reign of terror ends here!"
    n "I heard you don’t even send Xmas cards to your family or friends! What’s wrong with you?!"
    n "I bet you’re more than happy to receive cards! But you won’t do the same for them?!"
    n "Disgusting! A travesty! An outrage!!!"
    ul "That’s…"
    ul "... hardly the worst thing I’ve ever done…"
    n "Answer the question, fiend!!"
    ul "I don’t have anyone to send cards to! I’m undead, idiot!"
    n "That sounds like an excuse to me! Have you no shame?!"
    ul "Ughh… {i}Ulaithel rolls her eyes."
    ul "Alright, are you going to fight me, or…?"
    n "I will do what I must! I’m going to…"
    menu:
        "STICK MY SWORD IN YOU":
            jump towitch2
        "MAKE YOU PAY FOR YOUR SINS":
            jump towitch2
        "ALL THIS IS AN EXCUSE…TO FUCK":
            jump towitch2


label towitch2:
    ul "Well, Let us see if your skills are up to par, big man… <3"

    scene black with dissolve
    show Hulaithel with dissolve
    $ renpy.pause(2.0, hard=True)
    screen nextulaithel():
        imagebutton:
            xpos 1750 ypos 920
            idle "nexthall.png" hover "nexthallover.png"
            action Jump ("afterulaithelh")
    show screen nextulaithel
    play sound "nmoan2.mp3"
    $ renpy.pause(hard=True)
    label afterulaithelh:
        hide screen nextulaithel
        $ renpy.pause(3.0, hard=True)
        scene white with dissolve
        stop sound fadeout 2.0
        $ renpy.pause(1.5, hard=True)
        hide Hulaithel with dissolve
        pause 1.0

    #After the sex scene
    scene throne with dissolve
    n "I did it! I defeated the witch! I saved the people from her…"
    n "... from her…"
    scene black with dissolve
    stop music fadeout 2.0
    pause 1.0
    scene tentnulkan with dissolve
    n "Waaaagh!!!!"
    n "{i}What the…?!"
    n "{i}What the heck was all that?!"
    show dynaefangs with dissolve
    d "Nulkan, are you okay?! I heard you screaming!"
    n "I…I’m fine! I think I had a nightmare!"
    n "You were there, and Saraith, and Luth, and… Fredic, and some… weird characters I’ve never seen before."
    d "Calm down, Nulkan. It’s okay. It was only a nightmare. We all have them from time to time."
    n "Yes… I… I guess you’re right. It was only a dream…"
    n "..."
    n "Wait… Dynae…?"
    d "Yes?"
    n "I don’t remember you having those long fangs."
    d "Oh, that."
    d "Perfectly normal. I’m only turning into a vampire."
    n "A vampire?! What the fuck, Dynae, that’s not normal!"
    d "Don’t worry. There’s no time for more. A story for next Halloween, I suppose."
    n "Ooof… What a relief. I’ve had enough of Halloween for this year."
    d "Hehe, sure. By the way? Can I suck you?"
    n "As long as it’s not my blood. Suck whatever you want."
    d "Weeeee. Here I go…!"
    play music "skeletons.mp3"
    hide dynaefangs
    show dynaefangs:
        xalign 0.5
        linear 1.5 zoom 1.5
    $ renpy.pause(1.5, hard=True)
    screen nextend():
        imagebutton:
            xpos 1750 ypos 920
            idle "nexthall.png" hover "nexthallover.png"
            action Jump ("end")
    scene black
    hide screen logos
    #play music "skeletons.mp3"
    scene trwishyou with dissolve
    $ renpy.pause(3.0, hard=True)
    show screen nextend
    $ renpy.pause(hard=True)
    #scene black with dissolve
    #"TAIFUN RIDERS WISH YOU A SPOOKY AND NAUGHTY HALLOWEEN!"
    label end:
        scene black
        hide screen nextend
        with dissolve
        $ renpy.pause(0.5, hard=True)
    stop music fadeout 4.0
    $ renpy.pause(4.0, hard=True)
